commit 5a54f2d979631d586f1c9a7b82364e526b29980c
Author: freddy77 <freddy77>
Date:   Fri Aug 29 14:19:17 2008 +0000

    update test

diff --git a/ChangeLog b/ChangeLog
index 4315723..913beed 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Aug 29 16:18:44 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/genparams.c: update test
+
 Wed Aug 27 09:57:20 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/rowset.c:
 	- don't test for cursors if not implemented
@@ -594,4 +597,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2596 2008/08/27 07:59:25 freddy77 Exp $
+$Id: ChangeLog,v 1.2597 2008/08/29 14:19:17 freddy77 Exp $
diff --git a/src/odbc/unittests/genparams.c b/src/odbc/unittests/genparams.c
index ca15a94..bc97698 100644
--- a/src/odbc/unittests/genparams.c
+++ b/src/odbc/unittests/genparams.c
@@ -4,7 +4,7 @@
 
 /* Test various type from odbc and to odbc */
 
-static char software_version[] = "$Id: genparams.c,v 1.27 2008/07/15 15:14:12 freddy77 Exp $";
+static char software_version[] = "$Id: genparams.c,v 1.28 2008/08/29 14:19:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifdef TDS_NO_DM
@@ -284,8 +284,10 @@ AllTests(void)
 		TestInput(SQL_C_CHAR, "NVARCHAR(100)", SQL_WCHAR, "NVARCHAR(100)", "\xa3h\xf9 -> 0xA3006800f900");
 		TestInput(SQL_C_CHAR, "NVARCHAR(100)", SQL_WCHAR, "NVARCHAR(100)", "0xA3006800f900 -> \xa3h\xf9");
 
-		precision = 12;
+		precision = 6;
 		Test("NVARCHAR(20)", "foo test", SQL_C_CHAR, SQL_WVARCHAR, "6 foo te");
+		precision = 12;
+		Test("NVARCHAR(20)", "foo test", SQL_C_CHAR, SQL_WVARCHAR, "8 foo test");
 		/* TODO use collate in sintax if available */
 		Test("NVARCHAR(20)", "0xf800f900", SQL_C_CHAR, SQL_WVARCHAR, "2 \xf8\xf9");
 	}

